export default class Paged<T> {
	public Data: Array<T>;
	public readonly TotalRecords: number;
	public readonly PageSize: number;
	public readonly PageCount: number;

	public constructor(totalRecords: number, pageSize: number) {
		this.Data = new Array<T>();
		this.TotalRecords = totalRecords;
		this.PageSize = pageSize;
		this.PageCount = Math.max(Math.ceil(totalRecords / pageSize), 1);
	}
}